org.apache.ignite.spi.discovery

## Interface DiscoverySpiMBean

All Known Subinterfaces:
  TcpDiscoverySpiMBean

    public interface DiscoverySpiMBean

Generic MBean interface to monitor DiscoverySpi subsystem.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`UUID` `getCoordinator()` Deprecated. Use `getCoordinatorNodeFormatted()` instead.
`String` `getCoordinatorNodeFormatted()` Gets current coordinator node formatted as a string.
`String` `getLocalNodeFormatted()` Gets local node formatted as a string.
`long` `getNodesFailed()` Gets failed nodes count.
`long` `getNodesJoined()` Gets joined nodes count.
`long` `getNodesLeft()` Gets left nodes count.
`String` `getSpiState()` Gets current SPI state.

### Method Detail

#### getSpiState

    @MXBeanDescription(value="SPI state.")
    String getSpiState()

Gets current SPI state.

Returns:
  Current SPI state.

#### getNodesJoined

    @MXBeanDescription(value="Nodes joined count.")
    long getNodesJoined()

Gets joined nodes count.

Returns:
  Nodes joined count.

#### getNodesFailed

    @MXBeanDescription(value="Nodes failed count.")
    long getNodesFailed()

Gets failed nodes count.

Returns:
  Failed nodes count.

#### getNodesLeft

    @MXBeanDescription(value="Nodes left count.")
    long getNodesLeft()

Gets left nodes count.

Returns:
  Left nodes count.

#### getCoordinator

    @Deprecated
     @MXBeanDescription(value="Coordinator node ID.")
     @Nullable
    UUID getCoordinator()

Deprecated. Use `getCoordinatorNodeFormatted()` instead.
Gets current coordinator.

Returns:
  Gets current coordinator.

#### getCoordinatorNodeFormatted

    @MXBeanDescription(value="Coordinator node formatted as a string.")
     @Nullable
    String getCoordinatorNodeFormatted()

Gets current coordinator node formatted as a string.

Returns:
  Current coordinator string representation.

#### getLocalNodeFormatted

    @MXBeanDescription(value="Local node formatted as a string.")
    String getLocalNodeFormatted()

Gets local node formatted as a string.

Returns:
  Local node string representation.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019